Zercurity data services
  • Summary
  • Applications (7)
  • Packages (0)
  • Vulnerabilities (18)

linux-tools-4.10.0-25

Hashes
Linux kernel version specific tools for version 4.10.0-25 This package provides the architecture dependant parts for kernel version locked tools (such as perf and x86_energy_perf_policy) for version 4.10.0-25 on 64 bit x86. You probably want to install linux-tools-4.10.0-25-<flavour>.
  • SHA256: 86eefe06939bd68941679662dc42a37331f72c4c8c090964678ed784a0d74cfd
  • SHA1: c66c74328d00b0ba324cad749252a44503f66789
  • MD5: 67ded56eca27096bd7f5d22d82049a91
Information
  • Version: 4.10.0-25.29
  • Filename: linux-tools-4.10.0-25_4.10.0-25.29_amd64.deb
  • Size: 4724
  • Type: DEB
  • Source: linux
  • Architecture: AMD64
  • Owner: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
  • Dependencies: binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common

Applications

NameTypeArchSizeRisk
libcpupower.so.4.10.0-25
/usr/lib/libcpupower.so.4.10.0-25
227040
usbip
/usr/lib/linux-tools-4.10.0-25/usbip
675440
turbostat
/usr/lib/linux-tools-4.10.0-25/turbostat
769040
cpupower
/usr/lib/linux-tools-4.10.0-25/cpupower
752240
perf
/usr/lib/linux-tools-4.10.0-25/perf
42916400
usbipd
/usr/lib/linux-tools-4.10.0-25/usbipd
554400
x86_energy_perf_policy
/usr/lib/linux-tools-4.10.0-25/x86_energy_perf_policy
101200

Vulnerabilities

NameRiskSourceFixed
CVE-2017-889078USN
linux-tools-common
4.10.0-26.30
CVE-2017-907778USN
linux-tools-common
4.10.0-26.30
CVE-2017-100036378USN
linux-tools-common
4.10.0-26.30
CVE-2017-1066278USN
linux-tools-common
4.10.0-26.30
CVE-2017-924255USN
linux-tools-common
4.10.0-26.30
CVE-2017-915055USN
linux-tools-common
4.10.0-26.30
CVE-2017-907478USN
linux-tools-common
4.10.0-26.30
CVE-2017-907578USN
linux-tools-common
4.10.0-26.30
CVE-2017-907678USN
linux-tools-common
4.10.0-26.30
CVE-2017-889078USN
linux-libc-dev
4.10.0-26.30
CVE-2017-924255USN
linux-libc-dev
4.10.0-26.30
CVE-2017-907578USN
linux-libc-dev
4.10.0-26.30
CVE-2017-907778USN
linux-libc-dev
4.10.0-26.30
CVE-2017-915055USN
linux-libc-dev
4.10.0-26.30
CVE-2017-1066278USN
linux-libc-dev
4.10.0-26.30
CVE-2017-907678USN
linux-libc-dev
4.10.0-26.30
CVE-2017-907478USN
linux-libc-dev
4.10.0-26.30
CVE-2017-100036378USN
linux-libc-dev
4.10.0-26.30

Raw Object

{
  "sha256": "86eefe06939bd68941679662dc42a37331f72c4c8c090964678ed784a0d74cfd",
  "sha1": "c66c74328d00b0ba324cad749252a44503f66789",
  "md5": "67ded56eca27096bd7f5d22d82049a91",
  "type": "DEB",
  "arch": "AMD64",
  "name": "linux-tools-4.10.0-25",
  "filename": "linux-tools-4.10.0-25_4.10.0-25.29_amd64.deb",
  "size": 4724,
  "description": "Linux kernel version specific tools for version 4.10.0-25\nThis package provides the architecture dependant parts for kernel\nversion locked tools (such as perf and x86_energy_perf_policy) for\nversion 4.10.0-25 on\n64 bit x86.\nYou probably want to install linux-tools-4.10.0-25-<flavour>.",
  "url": null,
  "version": "4.10.0-25.29",
  "source": "linux",
  "owner": "Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>",
  "dependencies": "binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common",
  "applications": [
    {
      "path": "/usr/lib/libcpupower.so.4.10.0-25",
      "sha256": "22591f3380f86cce0ac04cf6affe22d67e61556f4db95ba9549a8b2f2c8d9324",
      "sha1": "ccdc0a56560adc41be4222d170f6b2550003b68c",
      "md5": "b885fbb1734529d08af68756f991b1bf",
      "name": "libcpupower.so.4.10.0-25",
      "size": 22704,
      "description": null,
      "package": 2959408,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-16T21:06:20+00:00",
      "updated_at": "2021-07-16T21:06:20+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-25/usbip",
      "sha256": "86c42869dfe1f27b7f0ba629f0c2872da11df225042d24382a89b981e3b3306e",
      "sha1": "1306ba0edc65c02f4a61051a56b0f8e5955150f0",
      "md5": "49db07e1c773a4355e610d6d3aa94632",
      "name": "usbip",
      "size": 67544,
      "description": null,
      "package": 2959408,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-16T21:06:20+00:00",
      "updated_at": "2021-07-16T21:06:20+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-25/turbostat",
      "sha256": "c2d2611d054949debb51fc8c83e5295129da087abc89d07f7b6fbaa252494013",
      "sha1": "e1e83e6cbf767ef42ec264afc6113ee6e1b85a33",
      "md5": "66bfcec4def2812d64dd741579a05216",
      "name": "turbostat",
      "size": 76904,
      "description": null,
      "package": 2959408,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-16T21:06:20+00:00",
      "updated_at": "2021-07-16T21:06:20+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-25/cpupower",
      "sha256": "011e11e8058257cb4d761b36d8f5660a36cd5ac43b615223a639762f53ae3bdf",
      "sha1": "5c9fc0b462c25799ecf38a69eae4eb4217cc6df9",
      "md5": "10bc37a6f5a4212bc813f37bbabb46cb",
      "name": "cpupower",
      "size": 75224,
      "description": null,
      "package": 2959408,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-16T21:06:20+00:00",
      "updated_at": "2021-07-16T21:06:20+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-25/perf",
      "sha256": "7cf16d4b943e5bedbf6c3f6c5b92933307f9970852d900b5b5a3d3d55faee297",
      "sha1": "2eaff749864035920cf6a7d1c889292c2338dbd3",
      "md5": "936bdc25cf0dcc14f98b691b17f17de3",
      "name": "perf",
      "size": 4291640,
      "description": null,
      "package": 2959408,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-16T21:06:20+00:00",
      "updated_at": "2021-07-16T21:06:20+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-25/usbipd",
      "sha256": "3b50bdf81a6b38327add46907a8b58fd14b3812a93a0efb9ad371de220aa3a5c",
      "sha1": "2dd3dfbf530df8c23a1eb7f86cc92e47a1eb9918",
      "md5": "3d7319e5bae7190c292551b1eea1fe4a",
      "name": "usbipd",
      "size": 55440,
      "description": null,
      "package": 2959408,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-16T21:06:20+00:00",
      "updated_at": "2021-07-16T21:06:20+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-25/x86_energy_perf_policy",
      "sha256": "a1fde5179508a97ea6c72561f62cb4cb79256e246a713e669a2272ecd2c7f0ab",
      "sha1": "1c4992116acdbf8abbfff29880a9c785d12e65df",
      "md5": "7001c77386c24a5fcacab770a9b1c854",
      "name": "x86_energy_perf_policy",
      "size": 10120,
      "description": null,
      "package": 2959408,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-16T21:06:20+00:00",
      "updated_at": "2021-07-16T21:06:20+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2017-8890",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f22afd3a0a9215849fc0546867a7e5b3d8f8474cc9b1a0563a7ba29d1284c1f5",
        "name": "linux-tools-common",
        "version": "4.10.0-26.30",
        "filename": "linux-tools-common_4.10.0-26.30_all.deb"
      },
      "created_at": "2021-07-17T07:31:07+00:00",
      "updated_at": "2021-07-17T07:31:07+00:00"
    },
    {
      "name": "CVE-2017-9077",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f22afd3a0a9215849fc0546867a7e5b3d8f8474cc9b1a0563a7ba29d1284c1f5",
        "name": "linux-tools-common",
        "version": "4.10.0-26.30",
        "filename": "linux-tools-common_4.10.0-26.30_all.deb"
      },
      "created_at": "2021-07-17T07:40:53+00:00",
      "updated_at": "2021-07-17T07:40:53+00:00"
    },
    {
      "name": "CVE-2017-1000363",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f22afd3a0a9215849fc0546867a7e5b3d8f8474cc9b1a0563a7ba29d1284c1f5",
        "name": "linux-tools-common",
        "version": "4.10.0-26.30",
        "filename": "linux-tools-common_4.10.0-26.30_all.deb"
      },
      "created_at": "2021-07-17T08:20:08+00:00",
      "updated_at": "2021-07-17T08:20:08+00:00"
    },
    {
      "name": "CVE-2017-10662",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f22afd3a0a9215849fc0546867a7e5b3d8f8474cc9b1a0563a7ba29d1284c1f5",
        "name": "linux-tools-common",
        "version": "4.10.0-26.30",
        "filename": "linux-tools-common_4.10.0-26.30_all.deb"
      },
      "created_at": "2021-07-17T09:59:20+00:00",
      "updated_at": "2021-07-17T09:59:20+00:00"
    },
    {
      "name": "CVE-2017-9242",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f22afd3a0a9215849fc0546867a7e5b3d8f8474cc9b1a0563a7ba29d1284c1f5",
        "name": "linux-tools-common",
        "version": "4.10.0-26.30",
        "filename": "linux-tools-common_4.10.0-26.30_all.deb"
      },
      "created_at": "2021-07-17T10:30:18+00:00",
      "updated_at": "2021-07-17T10:30:18+00:00"
    },
    {
      "name": "CVE-2017-9150",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f22afd3a0a9215849fc0546867a7e5b3d8f8474cc9b1a0563a7ba29d1284c1f5",
        "name": "linux-tools-common",
        "version": "4.10.0-26.30",
        "filename": "linux-tools-common_4.10.0-26.30_all.deb"
      },
      "created_at": "2021-07-17T10:38:34+00:00",
      "updated_at": "2021-07-17T10:38:34+00:00"
    },
    {
      "name": "CVE-2017-9074",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f22afd3a0a9215849fc0546867a7e5b3d8f8474cc9b1a0563a7ba29d1284c1f5",
        "name": "linux-tools-common",
        "version": "4.10.0-26.30",
        "filename": "linux-tools-common_4.10.0-26.30_all.deb"
      },
      "created_at": "2021-07-17T11:06:41+00:00",
      "updated_at": "2021-07-17T11:06:41+00:00"
    },
    {
      "name": "CVE-2017-9075",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f22afd3a0a9215849fc0546867a7e5b3d8f8474cc9b1a0563a7ba29d1284c1f5",
        "name": "linux-tools-common",
        "version": "4.10.0-26.30",
        "filename": "linux-tools-common_4.10.0-26.30_all.deb"
      },
      "created_at": "2021-07-17T13:25:07+00:00",
      "updated_at": "2021-07-17T13:25:07+00:00"
    },
    {
      "name": "CVE-2017-9076",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f22afd3a0a9215849fc0546867a7e5b3d8f8474cc9b1a0563a7ba29d1284c1f5",
        "name": "linux-tools-common",
        "version": "4.10.0-26.30",
        "filename": "linux-tools-common_4.10.0-26.30_all.deb"
      },
      "created_at": "2021-07-17T13:55:17+00:00",
      "updated_at": "2021-07-17T13:55:17+00:00"
    },
    {
      "name": "CVE-2017-8890",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "1793ef67697e9f4a15e029c35214bd4a69956e219141f5c47160ee0ad314b5ab",
        "name": "linux-libc-dev",
        "version": "4.10.0-26.30",
        "filename": "linux-libc-dev_4.10.0-26.30_amd64.deb"
      },
      "created_at": "2021-07-17T22:32:37+00:00",
      "updated_at": "2021-07-17T22:32:37+00:00"
    },
    {
      "name": "CVE-2017-9242",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "1793ef67697e9f4a15e029c35214bd4a69956e219141f5c47160ee0ad314b5ab",
        "name": "linux-libc-dev",
        "version": "4.10.0-26.30",
        "filename": "linux-libc-dev_4.10.0-26.30_amd64.deb"
      },
      "created_at": "2021-07-17T22:32:49+00:00",
      "updated_at": "2021-07-17T22:32:49+00:00"
    },
    {
      "name": "CVE-2017-9075",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "1793ef67697e9f4a15e029c35214bd4a69956e219141f5c47160ee0ad314b5ab",
        "name": "linux-libc-dev",
        "version": "4.10.0-26.30",
        "filename": "linux-libc-dev_4.10.0-26.30_amd64.deb"
      },
      "created_at": "2021-07-17T22:37:23+00:00",
      "updated_at": "2021-07-17T22:37:23+00:00"
    },
    {
      "name": "CVE-2017-9077",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "1793ef67697e9f4a15e029c35214bd4a69956e219141f5c47160ee0ad314b5ab",
        "name": "linux-libc-dev",
        "version": "4.10.0-26.30",
        "filename": "linux-libc-dev_4.10.0-26.30_amd64.deb"
      },
      "created_at": "2021-07-17T23:36:29+00:00",
      "updated_at": "2021-07-17T23:36:29+00:00"
    },
    {
      "name": "CVE-2017-9150",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "1793ef67697e9f4a15e029c35214bd4a69956e219141f5c47160ee0ad314b5ab",
        "name": "linux-libc-dev",
        "version": "4.10.0-26.30",
        "filename": "linux-libc-dev_4.10.0-26.30_amd64.deb"
      },
      "created_at": "2021-07-17T23:56:17+00:00",
      "updated_at": "2021-07-17T23:56:17+00:00"
    },
    {
      "name": "CVE-2017-10662",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "1793ef67697e9f4a15e029c35214bd4a69956e219141f5c47160ee0ad314b5ab",
        "name": "linux-libc-dev",
        "version": "4.10.0-26.30",
        "filename": "linux-libc-dev_4.10.0-26.30_amd64.deb"
      },
      "created_at": "2021-07-17T23:57:48+00:00",
      "updated_at": "2021-07-17T23:57:48+00:00"
    },
    {
      "name": "CVE-2017-9076",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "1793ef67697e9f4a15e029c35214bd4a69956e219141f5c47160ee0ad314b5ab",
        "name": "linux-libc-dev",
        "version": "4.10.0-26.30",
        "filename": "linux-libc-dev_4.10.0-26.30_amd64.deb"
      },
      "created_at": "2021-07-18T00:35:13+00:00",
      "updated_at": "2021-07-18T00:35:13+00:00"
    },
    {
      "name": "CVE-2017-9074",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "1793ef67697e9f4a15e029c35214bd4a69956e219141f5c47160ee0ad314b5ab",
        "name": "linux-libc-dev",
        "version": "4.10.0-26.30",
        "filename": "linux-libc-dev_4.10.0-26.30_amd64.deb"
      },
      "created_at": "2021-07-18T00:41:41+00:00",
      "updated_at": "2021-07-18T00:41:41+00:00"
    },
    {
      "name": "CVE-2017-1000363",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "1793ef67697e9f4a15e029c35214bd4a69956e219141f5c47160ee0ad314b5ab",
        "name": "linux-libc-dev",
        "version": "4.10.0-26.30",
        "filename": "linux-libc-dev_4.10.0-26.30_amd64.deb"
      },
      "created_at": "2021-07-18T01:19:32+00:00",
      "updated_at": "2021-07-18T01:19:32+00:00"
    }
  ],
  "risk": 78,
  "vulnerable": 78,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2017-06-21T03:25:11+00:00",
  "updated_at": "2021-07-16T21:06:20+00:00",
  "deleted_at": null
}